--- title: "Add Members to the Team" slug: "add-members-to-the-team" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/add-members-to-the-team" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Add Members to the Team Post/api/v1/teams.addMembers Add members to a team. Permissions required: `add-team-member` or `edit-team-member` Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersExample ```json { "teamId": "63f3efc4b000b6b6d86704b2", "members": [ { "userId": "rYhzFRd2QZjNwAAXX", "roles": [ "member" ] } ] } ``` Expand Allobject teamIdstring Required Enter the team ID. Alternatively, enter the `teamName` parameter and provide the team's name as the value. members Array of object Required The users (IDs and roles) to add to the team. object userIdstring roles Array of string string Responses200 OK Success ```json { "success": true } ``` object successboolean 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring